Package org.eclipse.emf.cdo.ui

# Class CDOCommitCommentPrompter

java.lang.Object
org.eclipse.emf.cdo.ui.CDOCommitCommentPrompter

public class CDOCommitCommentPrompter extends Object

Since:
  4.10
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOCommitCommentPrompter.CommentDialog`

## Constructor Summary

Constructors
Constructor
Description
`CDOCommitCommentPrompter(CDOTransaction transaction)`

## Method Summary

Modifier and Type
Method
Description
`protected CDOCommitCommentPrompter.CommentDialog`
`createDialog(String defaultComment)`
`void`
`dispose()`
`protected Shell`
`getParentShell()`
`final CDOTransaction`
`getTransaction()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOCommitCommentPrompter

public CDOCommitCommentPrompter(CDOTransaction transaction)

## Method Details

### getTransaction

public final CDOTransaction getTransaction()

### dispose

public void dispose()

### createDialog

protected CDOCommitCommentPrompter.CommentDialog createDialog(String defaultComment)

### getParentShell

protected Shell getParentShell()